<template>
  <header class="header">
    <div class="header-container">
      <div class="header-wrap">
        <router-link :to="{ name: 'index' }">
          <app-logo></app-logo>
        </router-link>
        <nav class="header-nav">
          <router-link
            class="title-medium header-nav__link"
            active-class="active"
            :to="{ name: 'index' }"
          >
            Cadrage
          </router-link>
          <router-link
            class="title-medium header-nav__link"
            active-class="active"
            :to="{ name: 'programming' }"
          >
            Pilotage
          </router-link>
        </nav>
        <div class="header-user-info">
          <header-avatar></header-avatar>
        </div>
      </div>
    </div>
  </header>
</template>

<script lang="ts" setup>
import AppLogo from '../logo/index.vue';
import HeaderAvatar from '@/modules/profile/components/HeaderAvatar.vue';
</script>

<style lang="scss" scoped>
.header {
  margin-bottom: 35px;
  border-bottom: 1px solid var(--light-gray);
  box-shadow: 0 4px 16px 0 #e5e5e599;
}

.header-wrap {
  display: flex;
  align-items: center;
}

.header-nav {
  margin-left: 80px;
  padding: 25px 0;
}

.header-nav__link {
  position: relative;
  &::after {
    content: '';
    display: block;
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: -26px;
    left: 0;
    background: var(--main-purple);
    transition: all 0.25s ease;
    opacity: 0;
  }
  &:hover {
    &::after {
      opacity: 1;
    }
  }
  &.active {
    &::after {
      opacity: 1;
    }
  }
}

.header-nav__link + .header-nav__link {
  margin-left: 40px;
}

.header-user-info {
  margin-left: auto;
}
</style>
